Bug 1518943

Summary: libreport-plugin-ureport: »uReport data is invalid.«
Product: [Fedora] Fedora Reporter: Christian Stadelmann <fedora>
Component: libreportAssignee: abrt <abrt-devel-list>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 30CC: abrt-devel-list, allyouneedis, ekulik, faber, jakub, mark.preston, michal.toman, mmarusak, msuchy, nuno.dias, redhat-bugzilla, soeren.grunewald, tom, twaugh
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-05-26 18:32:03 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
reporter-ureport -vvv output none

Description Christian Stadelmann 2017-11-29 20:09:55 UTC
Description of problem:
When reporting bugs, I often get the error message (server response) »uReport data is invalid.«. report_uReport then aborts the bug reporting procedure rendering me unable to use abrt to report the bug to Bugzilla.

Version-Release number of selected component (if applicable):
libreport-plugin-ureport-2.9.3-1.fc27.x86_64

How reproducible:
ca. 1 out of 10 bug reports.

Steps to Reproduce:
1. Have a crash
2. Try to report bug
3. If bug reporting procedure fails, "retry"
4. if it stall fails, have a look at the output.

Actual results:
--- Running report_uReport ---
Der Server hat mit einer Fehlermeldung geantwortet: »uReport data is invalid.«
(»report_uReport« abgebrochen durch 1)

Expected results:
Report bug. Maybe skip uReport if it fails and continue with "regular" report.

Additional info:
One specific crash where this happened has been uploaded to https://retrace.fedoraproject.org/faf/dumpdirs/new/ccpp-2017-11-29-20:17:56.694585-2161.tar.gz using the "upload for analysis" button.

I've also seen this bug with F25 and F26 a lot and it is not depending on the internet connection.

Comment 1 Łukasz Faber 2018-04-17 06:15:36 UTC
I have similar (reproducible) problem with crashes related to bug 1507656. Dump from this morning: https://retrace.fedoraproject.org/faf/dumpdirs/new/ccpp-2018-04-17-07:44:25.150164-2412.tar.gz

Comment 2 Christian Stadelmann 2018-10-10 17:01:38 UTC
Still present even in Fedora 29 beta.

Comment 3 Matej Marušák 2019-01-16 11:10:48 UTC
*** Bug 1654990 has been marked as a duplicate of this bug. ***

Comment 4 Soeren Grunewald 2019-04-03 12:28:06 UTC
Not sure if this is an issue, but server response contains trailing "^M^J" see below:

$ reporter-ureport -vvv
Loaded option 'ContactEmail' = 'soeren.grunewald@gmx.net'
post('https://retrace.fedoraproject.org/faf/reports/new/','{   "ureport_version": 2
,   "reason": "Program /usr/bin/gnome-shell was terminated by signal 11"
,   "reporter": {   "name": "satyr"
                ,   "version": "0.27"
                }
,   "os": {   "name": "fedora"
          ,   "version": "29"
          ,   "architecture": "x86_64"
          ,   "cpe": "cpe:/o:fedoraproject:fedora:29"
          ,   "desktop": "gnome"
          ,   "variant": "workstation"
          }
,   "problem": {   "type": "core"

---8<---

Connecting to https://retrace.fedoraproject.org/faf/reports/new/
curl:   Trying 209.132.181.28...
curl: TCP_NODELAY set
curl: Connected to retrace.fedoraproject.org (209.132.181.28) port 443 (#0)
curl: ALPN, offering http/1.1
curl: successfully set certificate verify locations:
curl:   CAfile: /etc/pki/tls/certs/ca-bundle.crt
  CApath: none
curl: TLSv1.3 (OUT), TLS handshake, Client hello (1):
curl: TLSv1.3 (IN), TLS handshake, Server hello (2):
curl: TLSv1.2 (IN), TLS handshake, Certificate (11):
curl: TLSv1.2 (IN), TLS handshake, Server finished (14):
curl: TLSv1.2 (OUT), TLS handshake, Client key exchange (16):
curl: TLSv1.2 (OUT), TLS change cipher, Change cipher spec (1):
curl: TLSv1.2 (OUT), TLS handshake, Finished (20):
curl: TLSv1.2 (IN), TLS handshake, Finished (20):
curl: SSL connection using TLSv1.2 / AES256-GCM-SHA384
curl: ALPN, server did not agree to a protocol
curl: Server certificate:
curl:  subject: C=US; ST=North Carolina; L=Raleigh; O=Red Hat Inc.; CN=retrace.fedoraproject.org
curl:  start date: Dec 14 00:00:00 2016 GMT
curl:  expire date: Mar 13 12:00:00 2020 GMT
curl:  subjectAltName: host "retrace.fedoraproject.org" matched cert's "retrace.fedoraproject.org"
curl:  issuer: C=US; O=DigiCert Inc; OU=www.digicert.com; CN=DigiCert SHA2 High Assurance Server CA
curl:  SSL certificate verify ok.
curl sent header: 'POST /faf/reports/new/ HTTP/1.1
Host: retrace.fedoraproject.org
Accept: application/json
Connection: close
User-Agent: ABRT/2.10.0
Content-Length: 89961
Content-Type: multipart/form-data; boundary=------------------------81c424e28999504d
Expect: 100-continue^M^J^M^J'
curl rcvd header: 'HTTP/1.1 100 Continue^M^J'
curl sent data: ''
curl sent data: '--------------------------81c424e28999504d
Content-Disposition: form-data; name="file"; filename="*buffer*"
Content-Type: application/json

{   "ureport_version": 2
,   "reason": "Program /usr/bin/gnome-shell was terminated by signal 11"
,   "reporter": {   "name": "satyr"
                ,   "version": "0.27"
                }

---8<---

}
--------------------------81c424e28999504d--^M^J'
curl rcvd header: 'HTTP/1.1 400 BAD REQUEST^M^J'
curl rcvd header: 'Date: Wed, 03 Apr 2019 12:19:39 GMT^M^J'
curl rcvd header: 'Server: Apache/2.4.6 (Red Hat Enterprise Linux) OpenSSL/1.0.2k-fips mod_wsgi/3.4 Python/2.7.5^M^J'
curl rcvd header: 'Content-Length: 41^M^J'
curl rcvd header: 'Connection: close^M^J'
curl rcvd header: 'Content-Type: application/json^M^J'
curl rcvd header: '^M^J'
curl rcvd data: '{
  "error": "uReport data is invalid."
}'
curl: Closing connection 0
curl: TLSv1.2 (OUT), TLS alert, close notify (256):
after curl_easy_perform: response_code:400 body:'{
  "error": "uReport data is invalid."
}'
Server responded with an error: 'uReport data is invalid.'

Comment 5 Soeren Grunewald 2019-04-03 12:29:58 UTC
(In reply to Soeren Grunewald from comment #4)
> Not sure if this is an issue, but server response contains trailing "^M^J"
> see below:

The upload was: https://retrace.fedoraproject.org/faf/dumpdirs/new/ccpp-2019-04-03-14:11:48.479347-1720.tar.gz

Comment 6 Frederik 2019-04-24 10:51:51 UTC
I got the same problem and if I understand correctly I can provide my uplaod here: https://retrace.fedoraproject.org/faf/dumpdirs/new/ccpp-2019-04-24-12:01:44.641846-14449.tar.gz

This is sad because I can't report gnome-shell problems :(

Comment 7 Steven Stern 2019-07-28 14:36:50 UTC
I'm also having gnome-shell crashes and can't report it.

Comment 8 Tomáš Raček 2019-10-29 08:05:55 UTC
Created attachment 1630040 [details]
reporter-ureport -vvv output

Same in Fedora 31.

Comment 9 ekulik 2019-10-29 13:07:36 UTC
(In reply to Tomáš Raček from comment #8)
> Created attachment 1630040 [details]
> reporter-ureport -vvv output
> 
> Same in Fedora 31.

pyfaf.checker.CheckError: List element is invalid: String 'pinctrl_amdCR2:' does not match the pattern  '^[a-zA-Z0-9_]+(\([A-Z\+\-]+\))?$'

Looks like a bug in FAF (at least for this particular report).

Comment 10 ekulik 2019-10-29 13:10:12 UTC
Or, rather, ABRT, since it’s parsing things wrong.

Comment 11 Ben Cotton 2019-10-31 18:43:14 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 ekulik 2019-11-14 13:06:17 UTC
(In reply to Tomáš Raček from comment #8)
> Created attachment 1630040 [details]
> reporter-ureport -vvv output
> 
> Same in Fedora 31.

I created https://bodhi.fedoraproject.org/updates/FEDORA-2019-9447d3c560 for this particular issue.

Comment 13 ekulik 2019-11-23 20:47:28 UTC
The uploaded dump directories are inaccessible to us due to sunsetting of the service. Christian, could you paste the entire micro-report in text as Tomáš did? I can try to figure out why it fails then.

Comment 14 Ben Cotton 2020-04-30 20:18:01 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2020-05-26 18:32:03 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.